Bug 8648 - Do automatic crossref deposits and update what we send to crossref
Do automatic crossref deposits and update what we send to crossref
Status: NEW
Product: OJS
Classification: Unclassified
Component: Import/Export
2.4.5
All All
: P3 normal
Assigned To: James MacGregor
: 5279 8601 8602 8603 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-26 13:40 PDT by Juan Pablo Alperin
Modified: 2014-05-06 15:27 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2014-03-26 13:40:27 PDT
including: 

Bump deposit schema version to 4.3.3 or 4.3.4:

<doi_batch xmlns="http://www.crossref.org/schema/4.3.4" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="4.3.4" xsi:schemaLocation="http://www.crossref.org/schema/4.3.4 http://www.crossref.org/schema/deposit/crossref4.3.4.xsd">

	Version 4.3.4 will be released in the next couple of weeks. Current latest version is 4.3.3.

Include abstracts, provide JATS tagging if available:

	<journal_article publication_type=”full_text”>
		<jats:abstract>An abstract</jats:abstract>
	</journal_article>

	Requires inclusion of jats namespace declaration.
	
May require change to how OJS users treat the abstract field (may currently including
citations and other non-abstract text in the abstract field.)

Include contributor ORCIDs:

	<person_name contributor_role="author" sequence="first">
        	<given_name>Lidia</given_name>
        	<surname>Panico</surname>
		<ORCID>http://orcid.org/0000-0000-1234-5678</ORCID>
      </person_name>

	Requires collection of ORCIDs. Most basic way to collect ORCIDs is to provide an
ORCID field for contributors. Alternatively, authors could be required to sign in to ORCID
to provide authenticated ORCIDs:

<ORCID authenticated=”true”>
http://orcid.org/0000-0000-1234-5678
</ORCID>

Include license links and free-to-read flags:

	<ai:program name="AccessIndicators">
		<ai:license_ref>
	     		http://creativecommons.org/licenses/by/4.0/
	  	</ai:license_ref>
		<ai:free-to-read/>
	</ai:program>

	Requires inclusion of the access indicators namespace. Free to read flag not yet
available in the CrossRef deposit schemas.

Include full text links:
	
<doi_data>
<collection property="text-mining">
			<item>
	     			<resource mime_type="application/pdf">
					http://publisher.com/12345678.pdf
	      		</resource>
	    		</item>
		</collection>
	</doi_data>

	May need direct links to PDF download if not already available in OJS.

Include references and public references flag:

	Set public references flag in main CrossRef deposit:

	<journal_article reference_distribution_opts=”any”>

	Deposit of references can be made in a separate, partial deposit:

	<?xml version='1.0' encoding='UTF-8'?>
<doi_batch version="4.3.2"
	   xmlns="http://www.crossref.org/doi_resources_schema/4.3.2"
	   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	   xsi:schemaLocation="http://www.crossref.org/doi_resources_schema/4.3.2
		http://www.crossref.org/schema/deposit/doi_resources4.3.2.xsd">
  		<head>
    			<doi_batch_id>123456</doi_batch_id>
 			<depositor>
      		<name>Karl Ward</name>
      		<email_address>kward@crossref.org</email_address>
    			</depositor>
  		</head>
  		<body>
			<doi_citations>
				<doi>10.5555/12345678</doi>
				<citation_list>
					<citation>
						<unstructured_citation>
							A citation
						</unstructured_citation>
						<doi>10.5555/515151</doi>
					</citation>
				</citation_list>
			</doi_citations>
		</body>
	</doi_batch>

Include public metadata distribution flag:

	<journal_article metadata_distribution_opts=”any”>
Comment 1 Juan Pablo Alperin 2014-03-26 13:40:53 PDT
*** Bug 8601 has been marked as a duplicate of this bug. ***
Comment 2 Juan Pablo Alperin 2014-03-26 13:41:03 PDT
*** Bug 8602 has been marked as a duplicate of this bug. ***
Comment 3 Juan Pablo Alperin 2014-03-26 13:41:59 PDT
*** Bug 5279 has been marked as a duplicate of this bug. ***
Comment 4 Juan Pablo Alperin 2014-03-26 13:42:20 PDT
*** Bug 8603 has been marked as a duplicate of this bug. ***
Comment 5 Juan Pablo Alperin 2014-04-02 22:22:02 PDT
New CrossRef Plugin (work in progress)
https://github.com/pkp/ojs/commit/ced03d395b6ada02884d1692fdf9d0e3590defae
Comment 6 Juan Pablo Alperin 2014-04-10 20:35:17 PDT
James. Assigning to you, although I'm still doing the automatic deposit.
Comment 7 Juan Pablo Alperin 2014-04-10 22:04:03 PDT
renamed ArticleInfoSender to avoid conflict with ALM plugin
https://github.com/pkp/ojs/commit/54d00608958e9b11c0a3e396b1186f28877c1cfe
Comment 8 Juan Pablo Alperin 2014-04-10 22:04:03 PDT
address code review
https://github.com/pkp/ojs/commit/ad3d9f712ab8e5bf76d67734ee8e521e2550600b
Comment 9 Juan Pablo Alperin 2014-04-10 23:02:03 PDT
Fix CrossRefExportDom mess
https://github.com/pkp/ojs/commit/8e29272cc950d46a0f457fda81a2426a818ec75c
Comment 10 Juan Pablo Alperin 2014-04-11 22:47:02 PDT
Fix for generating full-text URL's
https://github.com/pkp/ojs/commit/498340de2c2442bbdb8a6f667fd1f4e64fca95da
Comment 11 Juan Pablo Alperin 2014-04-11 22:47:02 PDT
first pass at automatic deposit cross ref DOI
https://github.com/pkp/ojs/commit/73839897a90f3e1a179b134de2adac83bc804b88
Comment 12 Juan Pablo Alperin 2014-04-11 22:47:02 PDT
did not like having to pass a test prefix all the time
https://github.com/pkp/ojs/commit/4058cba86af5afa61aec0cdc208c3ad01955deb9
Comment 13 James MacGregor 2014-04-14 19:55:02 PDT
small fix for pre-5.4.x PHP array initialization
https://github.com/pkp/ojs/commit/6c083483e8f9104e8c870c4cf0ff8a3c862b2ad5
Comment 14 Juan Pablo Alperin 2014-04-17 18:27:02 PDT
clarified wording for noUnregistered locale key
https://github.com/pkp/ojs/commit/9a5c7b84ac964c6a9bf3dffd13444c1dc8905f6d
Comment 15 James MacGregor 2014-05-01 14:13:03 PDT
*8683* Reverting crossref automated deposit and article scheduling
https://github.com/pkp/ojs/commit/e82d0743c37780d33af9f07b9a151fce48370089
Comment 16 Alec Smecher 2014-05-01 14:25:02 PDT
Pull request opened (not merged):
*8683* Reverting crossref automated deposit and article schedulin...
https://github.com/pkp/ojs/pull/176
Comment 17 Alec Smecher 2014-05-01 15:03:03 PDT
Pull request synchronize (not merged):
*8683* Reverting crossref automated deposit and article schedulin...
https://github.com/pkp/ojs/pull/176
Comment 18 James MacGregor 2014-05-01 15:03:03 PDT
*8683* Reverting crossref automated deposit and article scheduling
https://github.com/pkp/ojs/commit/ca63777242c8f42750cc202a5936607e8b380b52
Comment 19 James MacGregor 2014-05-01 16:59:03 PDT
*8683* Reverting crossref automated deposit and article scheduling
https://github.com/pkp/ojs/commit/ca63777242c8f42750cc202a5936607e8b380b52
Comment 20 James MacGregor 2014-05-01 16:59:03 PDT
*8683* Reverting crossref automated deposit and article scheduling
https://github.com/pkp/ojs/commit/e82d0743c37780d33af9f07b9a151fce48370089
Comment 21 Alec Smecher 2014-05-01 16:59:03 PDT
Pull request closed (merged):
*8683* Reverting crossref automated deposit and article schedulin...
https://github.com/pkp/ojs/pull/176
Comment 22 James MacGregor 2014-05-06 15:27:03 PDT
*8683* one further revert to fix Crossref plugin
https://github.com/pkp/ojs/commit/0f9b5948ca810558e092d5aec32464bf442e68f2